Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex StoreDoc
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Managed Service for GitLab
RU
  • Начало работы
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений
  • Вопросы и ответы
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • MaintenanceOperation
  1. Справочник API
  2. REST (англ.)
  3. Instance
  4. Get

Managed Service for Gitlab API, REST: Instance.Get

Статья создана
Yandex Cloud
Обновлена 20 апреля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Response
  • MaintenanceOperation

Returns the specified GitLab instance.

HTTP requestHTTP request

GET https://gitlab.api.yandexcloud.kz/gitlab/v1/instances/{instanceId}

Path parametersPath parameters

Request message for InstanceService.Get

Field

Description

instanceId

string

Required field. ID of the GitLab instance to return

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "folderId": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "resourcePresetId": "string",
  "diskSize": "string",
  "status": "string",
  "adminLogin": "string",
  "adminEmail": "string",
  "domain": "string",
  "subnetId": "string",
  "plannedOperation": {
    "info": "string",
    "delayedUntil": "string",
    "latestMaintenanceTime": "string",
    "nextMaintenanceWindowTime": "string"
  },
  "backupRetainPeriodDays": "string",
  "maintenanceDeleteUntagged": "boolean",
  "deletionProtection": "boolean",
  "approvalRulesId": "string",
  "gitlabVersion": "string"
}

Instance represents a GitLab instance with its configuration and state.

Field

Description

id

string

Unique instance ID.

folderId

string

Folder ID where instance resides.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

updatedAt

string (date-time)

Last update timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Human-readable name.

description

string

Instance description.

labels

object (map<string, string>)

Resource labels as key-value pairs.

resourcePresetId

string

Resource preset ID.

diskSize

string (int64)

Disk size in bytes.

status

enum (Status)

Current instance status.

  • CREATING: Instance is being created.
  • RUNNING: Instance is running normally.
  • UPDATING: Instance is being updated.
  • ERROR: Instance is in error state.
  • DELETING: Instance is being deleted.
  • BACKUP_CREATING: Backup is being created.
  • BACKUP_RESTORING: Backup is being restored.
  • STARTING: Instance is starting.
  • STOPPING: Instance is stopping.
  • STOPPED: Instance is stopped.
  • BACKGROUND_MIGRATIONS: Background migrations in progress.
  • OBJECT_STORAGE_MIGRATIONS: Object storage migrations in progress.
  • SNAPSHOT_RESTORING: Snapshot is being restored.

adminLogin

string

Admin username.

adminEmail

string

Admin email.

domain

string

Instance domain.

subnetId

string

Subnet ID.

plannedOperation

MaintenanceOperation

Planned maintenance operation.

backupRetainPeriodDays

string (int64)

How long to keep backups (days).

maintenanceDeleteUntagged

boolean

Delete untagged resources during maintenance.

deletionProtection

boolean

Protect from accidental deletion.

approvalRulesId

string

Approval rules ID.

The maximum string length in characters is 30.

gitlabVersion

string

GitLab version of the instance.

MaintenanceOperationMaintenanceOperation

Field

Description

info

string

The description of the operation.

The maximum string length in characters is 256.

delayedUntil

string (date-time)

Delay time for the maintenance operation.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

latestMaintenanceTime

string (date-time)

Time of the last maintenance window.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

nextMaintenanceWindowTime

string (date-time)

Time of the next maintenance window.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

Была ли статья полезна?

Предыдущая
Overview
Следующая
List
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»